# Visualization
TKV3d
AIS

# AIS_IndexedDataMapOfOwnerPrs Class Reference

`#include <AIS_IndexedDataMapOfOwnerPrs.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS_IndexedDataMapOfOwnerPrs (const Standard_Integer NbBuckets=1)
Standard_EXPORT AIS_IndexedDataMapOfOwnerPrs & | Assign (const AIS_IndexedDataMapOfOwnerPrs &Other)
AIS_IndexedDataMapOfOwnerPrs & | operator= (const AIS_IndexedDataMapOfOwnerPrs &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~AIS_IndexedDataMapOfOwnerPrs ()
Standard_EXPORT Standard_Integer | Add (const Handle(SelectMgr_EntityOwner)&K, const Handle(Prs3d_Presentation)&I)
Standard_EXPORT void | Substitute (const Standard_Integer I, const Handle(SelectMgr_EntityOwner)&K, const Handle(Prs3d_Presentation)&T)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const Handle(SelectMgr_EntityOwner)&K) const
Standard_EXPORT const Handle_SelectMgr_EntityOwner & | FindKey (const Standard_Integer I) const
Standard_EXPORT const Handle_Prs3d_Presentation & | FindFromIndex (const Standard_Integer I) const
const Handle_Prs3d_Presentation & | operator() (const Standard_Integer I) const
Standard_EXPORT Handle_Prs3d_Presentation & | ChangeFromIndex (const Standard_Integer I)
Handle_Prs3d_Presentation & | operator() (const Standard_Integer I)
Standard_EXPORT Standard_Integer | FindIndex (const Handle(SelectMgr_EntityOwner)&K) const
Standard_EXPORT const Handle_Prs3d_Presentation & | FindFromKey (const Handle(SelectMgr_EntityOwner)&K) const
Standard_EXPORT Handle_Prs3d_Presentation & | ChangeFromKey (const Handle(SelectMgr_EntityOwner)&K)

## Private Member Functions

Standard_EXPORT | AIS_IndexedDataMapOfOwnerPrs (const AIS_IndexedDataMapOfOwnerPrs &Other)

## Constructor & Destructor Documentation

Standard_EXPORT AIS_IndexedDataMapOfOwnerPrs::AIS_IndexedDataMapOfOwnerPrs | ( | const Standard_Integer | NbBuckets = `1` | ) |

AIS_IndexedDataMapOfOwnerPrs::~AIS_IndexedDataMapOfOwnerPrs | ( |  | ) | `[inline]`

Standard_EXPORT AIS_IndexedDataMapOfOwnerPrs::AIS_IndexedDataMapOfOwnerPrs | ( | const AIS_IndexedDataMapOfOwnerPrs & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer AIS_IndexedDataMapOfOwnerPrs::Add | ( | const Handle(SelectMgr_EntityOwner)& | K,
|  | const Handle(Prs3d_Presentation)& | I
| ) |

Standard_EXPORT AIS_IndexedDataMapOfOwnerPrs& AIS_IndexedDataMapOfOwnerPrs::Assign | ( | const AIS_IndexedDataMapOfOwnerPrs & | Other | ) |

Standard_EXPORT Handle_Prs3d_Presentation& AIS_IndexedDataMapOfOwnerPrs::ChangeFromIndex | ( | const Standard_Integer | I | ) |

Standard_EXPORT Handle_Prs3d_Presentation& AIS_IndexedDataMapOfOwnerPrs::ChangeFromKey | ( | const Handle(SelectMgr_EntityOwner)& | K | ) |

Standard_EXPORT void AIS_IndexedDataMapOfOwnerPrs::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean AIS_IndexedDataMapOfOwnerPrs::Contains | ( | const Handle(SelectMgr_EntityOwner)& | K | ) | const

Standard_EXPORT const Handle_Prs3d_Presentation& AIS_IndexedDataMapOfOwnerPrs::FindFromIndex | ( | const Standard_Integer | I | ) | const

Standard_EXPORT const Handle_Prs3d_Presentation& AIS_IndexedDataMapOfOwnerPrs::FindFromKey | ( | const Handle(SelectMgr_EntityOwner)& | K | ) | const

Standard_EXPORT Standard_Integer AIS_IndexedDataMapOfOwnerPrs::FindIndex | ( | const Handle(SelectMgr_EntityOwner)& | K | ) | const

Standard_EXPORT const Handle_SelectMgr_EntityOwner& AIS_IndexedDataMapOfOwnerPrs::FindKey | ( | const Standard_Integer | I | ) | const

void AIS_IndexedDataMapOfOwnerPrs::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS_IndexedDataMapOfOwnerPrs::operator new | ( | size_t | size | ) | `[inline]`

void* AIS_IndexedDataMapOfOwnerPrs::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Prs3d_Presentation& AIS_IndexedDataMapOfOwnerPrs::operator() | ( | const Standard_Integer | I | ) | `[inline]`

const Handle_Prs3d_Presentation& AIS_IndexedDataMapOfOwnerPrs::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

AIS_IndexedDataMapOfOwnerPrs& AIS_IndexedDataMapOfOwnerPrs::operator= | ( | const AIS_IndexedDataMapOfOwnerPrs & | Other | ) | `[inline]`

Standard_EXPORT void AIS_IndexedDataMapOfOwnerPrs::RemoveLast | ( |  | ) |

Standard_EXPORT void AIS_IndexedDataMapOfOwnerPrs::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void AIS_IndexedDataMapOfOwnerPrs::Substitute | ( | const Standard_Integer | I,
|  | const Handle(SelectMgr_EntityOwner)& | K,
|  | const Handle(Prs3d_Presentation)& | T
| ) |

The documentation for this class was generated from the following file:

- AIS_IndexedDataMapOfOwnerPrs.hxx